import Part
from FreeCAD import Base
import CompoundTools.Explode
import Draft
import BOPTools.SplitFeatures
import CompoundTools.CompoundFilter
def fc_tri(v1,v2,v3):
  e1 = Part.LineSegment(v1, v2)
  e2 = Part.LineSegment(v2, v3)
  e3 = Part.LineSegment(v3, v1)
  s = Part.Shape([e1,e2,e3])
  w = Part.Wire(s.Edges)
  f = Part.Face(w)
  return f


doc = FreeCAD.newDocument('doc_truncico')
V1 = Base.Vector(0,68,110)
V2 = Base.Vector(0,-68,110)
V3 = Base.Vector(110,0,68)
V4 = Base.Vector(-110,0,68)
V5 = Base.Vector(-68,110,0)
V6 = Base.Vector(-110,0,-68)
V7 = Base.Vector(0,-68,-110)
V8 = Base.Vector(68,-110,0)
V9 = Base.Vector(-68,-110,0)
V10 = Base.Vector(110,0,-68)
V11 = Base.Vector(0,68,-110)
V12 = Base.Vector(68,110,0)
s312  = fc_tri(V3, V1, V2)
Part.show(s312)
s214  = fc_tri(V2, V1, V4)
Part.show(s214)
s415  = fc_tri(V4, V1, V5)
Part.show(s415)
s5112 = fc_tri(V5, V1, V12)
Part.show(s5112)
s1213 = fc_tri(V12, V1, V3)
Part.show(s1213)
s1078 = fc_tri(V10, V7, V8)
Part.show(s1078)
s879  = fc_tri(V8, V7, V9)
Part.show(s879)
s976  = fc_tri(V9, V7, V6)
Part.show(s976)
s6711 = fc_tri(V6, V7, V11)
Part.show(s6711)
s11710= fc_tri(V11, V7, V10)
Part.show(s11710)
s1038 = fc_tri(V10, V3, V8)
Part.show(s1038)
s832  = fc_tri(V8, V3, V2)
Part.show(s832)
s829  = fc_tri(V8, V2, V9)
Part.show(s829)
s924  = fc_tri(V9, V2, V4)
Part.show(s924)
s946  = fc_tri(V9, V4, V6)
Part.show(s946)
s645  = fc_tri(V6, V4, V5)
Part.show(s645)
s6511 = fc_tri(V6, V5, V11)
Part.show(s6511)
s11512= fc_tri(V11, V5, V12)
Part.show(s11512)
s111210= fc_tri(V11, V12, V10)
Part.show(s111210)
s10123= fc_tri(V10, V12, V3)
Part.show(s10123)
App.ActiveDocument.recompute()
_=Part.Shell([App.ActiveDocument.Shape008.Shape.Face1, App.ActiveDocument.Shape009.Shape.Face1, App.ActiveDocument.Shape005.Shape.Face1, App.ActiveDocument.Shape006.Shape.Face1, App.ActiveDocument.Shape007.Shape.Face1, App.ActiveDocument.Shape012.Shape.Face1, App.ActiveDocument.Shape011.Shape.Face1, App.ActiveDocument.Shape010.Shape.Face1, App.ActiveDocument.Shape013.Shape.Face1, App.ActiveDocument.Shape014.Shape.Face1, App.ActiveDocument.Shape018.Shape.Face1, App.ActiveDocument.Shape019.Shape.Face1, App.ActiveDocument.Shape004.Shape.Face1, App.ActiveDocument.Shape003.Shape.Face1, App.ActiveDocument.Shape017.Shape.Face1, App.ActiveDocument.Shape.Shape.Face1, App.ActiveDocument.Shape001.Shape.Face1, App.ActiveDocument.Shape002.Shape.Face1, App.ActiveDocument.Shape016.Shape.Face1, App.ActiveDocument.Shape015.Shape.Face1, ])
App.ActiveDocument.addObject('Part::Feature','Shell').Shape=_.removeSplitter()
del _
App.ActiveDocument.recompute()
App.ActiveDocument.removeObject('Shape')
App.ActiveDocument.removeObject('Shape001')
App.ActiveDocument.removeObject('Shape002')
App.ActiveDocument.removeObject('Shape003')
App.ActiveDocument.removeObject('Shape004')
App.ActiveDocument.removeObject('Shape005')
App.ActiveDocument.removeObject('Shape006')
App.ActiveDocument.removeObject('Shape007')
App.ActiveDocument.removeObject('Shape008')
App.ActiveDocument.removeObject('Shape009')
App.ActiveDocument.removeObject('Shape010')
App.ActiveDocument.removeObject('Shape011')
App.ActiveDocument.removeObject('Shape012')
App.ActiveDocument.removeObject('Shape013')
App.ActiveDocument.removeObject('Shape014')
App.ActiveDocument.removeObject('Shape015')
App.ActiveDocument.removeObject('Shape016')
App.ActiveDocument.removeObject('Shape017')
App.ActiveDocument.removeObject('Shape018')
App.ActiveDocument.removeObject('Shape019')
shell=App.ActiveDocument.Shell.Shape
_=Part.Solid(shell)
App.ActiveDocument.addObject('Part::Feature','Solid').Shape=_.removeSplitter()
del _
App.ActiveDocument.recompute()
App.ActiveDocument.removeObject('Shell')
dist = App.Vector(    0.00,   55.36,   89.57)
dirc = App.Vector(  0.00,  0.53,  0.85)
cir1 = Part.makeCircle(  130.00, dist, dirc)
fcir1 = Part.Face(Part.Wire(cir1))
Part.show(fcir1)
App.ActiveDocument.recompute()
f = BOPTools.SplitFeatures.makeSlice(name='Slice')
f.Mode = 'Split'
f.Base = [App.ActiveDocument.Solid, App.ActiveDocument.Shape][0]
f.Tools = [App.ActiveDocument.Solid, App.ActiveDocument.Shape][1:]
f.Proxy.execute(f)
f.purgeTouched()
for obj in f.ViewObject.Proxy.claimChildren():
  obj.ViewObject.hide()


f = BOPTools.SplitFeatures.makeSlice(name='Slice')
f.Base = [App.ActiveDocument.Solid, App.ActiveDocument.Shape][0]
f.Tools = [App.ActiveDocument.Solid, App.ActiveDocument.Shape][1:]
f.Mode = 'Split'
f.Proxy.execute(f)
f.purgeTouched()
for obj in f.ViewObject.Proxy.claimChildren():
   obj.ViewObject.hide()


CompoundTools.Explode.explodeCompound(f)
f.ViewObject.hide()
App.ActiveDocument.recompute()
f = CompoundTools.CompoundFilter.makeCompoundFilter(name = 'CompoundFilter')
f.Base = App.ActiveDocument.GrExplode_Slice001
f.FilterType = 'window-volume'
f.Proxy.execute(f)
f.purgeTouched()
f = None
_ = Draft.downgrade(App.ActiveDocument.CompoundFilter,delete=True)
App.getDocument('doc_truncico').getObject('GrExplode_Slice001').removeObjectsFromDocument()
App.getDocument('doc_truncico').removeObject('GrExplode_Slice001')
App.getDocument('doc_truncico').removeObject('Slice')
App.getDocument('doc_truncico').removeObject('Slice001')
App.getDocument('doc_truncico').recompute()
App.getDocument('doc_truncico').removeObject('Solid')
App.getDocument('doc_truncico').recompute()
App.getDocument('doc_truncico').removeObject('Shape')
App.getDocument('doc_truncico').recompute()
Gui.SendMsgToActiveView('ViewFit')

dist = App.Vector(    0.00,  -55.36,   89.57)
dirc = App.Vector(  0.00, -0.53,  0.85)
cir1 = Part.makeCircle(  130.00, dist, dirc)
fcir1 = Part.Face(Part.Wire(cir1))
Part.show(fcir1)
App.ActiveDocument.recompute()
f = BOPTools.SplitFeatures.makeSlice(name='Slice')
f.Mode = 'Split'
f.Base = [App.ActiveDocument.Solid001, App.ActiveDocument.Shape][0]
f.Tools = [App.ActiveDocument.Solid001, App.ActiveDocument.Shape][1:]
f.Proxy.execute(f)
f.purgeTouched()
for obj in f.ViewObject.Proxy.claimChildren():
  obj.ViewObject.hide()


f = BOPTools.SplitFeatures.makeSlice(name='Slice')
f.Base = [App.ActiveDocument.Solid001, App.ActiveDocument.Shape][0]
f.Tools = [App.ActiveDocument.Solid001, App.ActiveDocument.Shape][1:]
f.Mode = 'Split'
f.Proxy.execute(f)
f.purgeTouched()
for obj in f.ViewObject.Proxy.claimChildren():
   obj.ViewObject.hide()


CompoundTools.Explode.explodeCompound(f)
f.ViewObject.hide()
App.ActiveDocument.recompute()
f = CompoundTools.CompoundFilter.makeCompoundFilter(name = 'CompoundFilter')
f.Base = App.ActiveDocument.GrExplode_Slice001
f.FilterType = 'window-volume'
f.Proxy.execute(f)
f.purgeTouched()
f = None
_ = Draft.downgrade(App.ActiveDocument.CompoundFilter,delete=True)
App.getDocument('doc_truncico').getObject('GrExplode_Slice001').removeObjectsFromDocument()
App.getDocument('doc_truncico').removeObject('GrExplode_Slice001')
App.getDocument('doc_truncico').removeObject('Slice')
App.getDocument('doc_truncico').removeObject('Slice001')
App.getDocument('doc_truncico').recompute()
App.getDocument('doc_truncico').removeObject('Solid001')
App.getDocument('doc_truncico').recompute()
App.getDocument('doc_truncico').removeObject('Shape')
App.getDocument('doc_truncico').recompute()
Gui.SendMsgToActiveView('ViewFit')

dist = App.Vector(   89.57,    0.00,   55.36)
dirc = App.Vector(  0.85,  0.00,  0.53)
cir1 = Part.makeCircle(  130.00, dist, dirc)
fcir1 = Part.Face(Part.Wire(cir1))
Part.show(fcir1)
App.ActiveDocument.recompute()
f = BOPTools.SplitFeatures.makeSlice(name='Slice')
f.Mode = 'Split'
f.Base = [App.ActiveDocument.Solid, App.ActiveDocument.Shape][0]
f.Tools = [App.ActiveDocument.Solid, App.ActiveDocument.Shape][1:]
f.Proxy.execute(f)
f.purgeTouched()
for obj in f.ViewObject.Proxy.claimChildren():
  obj.ViewObject.hide()


f = BOPTools.SplitFeatures.makeSlice(name='Slice')
f.Base = [App.ActiveDocument.Solid, App.ActiveDocument.Shape][0]
f.Tools = [App.ActiveDocument.Solid, App.ActiveDocument.Shape][1:]
f.Mode = 'Split'
f.Proxy.execute(f)
f.purgeTouched()
for obj in f.ViewObject.Proxy.claimChildren():
   obj.ViewObject.hide()


CompoundTools.Explode.explodeCompound(f)
f.ViewObject.hide()
App.ActiveDocument.recompute()
f = CompoundTools.CompoundFilter.makeCompoundFilter(name = 'CompoundFilter')
f.Base = App.ActiveDocument.GrExplode_Slice001
f.FilterType = 'window-volume'
f.Proxy.execute(f)
f.purgeTouched()
f = None
_ = Draft.downgrade(App.ActiveDocument.CompoundFilter,delete=True)
App.getDocument('doc_truncico').getObject('GrExplode_Slice001').removeObjectsFromDocument()
App.getDocument('doc_truncico').removeObject('GrExplode_Slice001')
App.getDocument('doc_truncico').removeObject('Slice')
App.getDocument('doc_truncico').removeObject('Slice001')
App.getDocument('doc_truncico').recompute()
App.getDocument('doc_truncico').removeObject('Solid')
App.getDocument('doc_truncico').recompute()
App.getDocument('doc_truncico').removeObject('Shape')
App.getDocument('doc_truncico').recompute()
Gui.SendMsgToActiveView('ViewFit')

dist = App.Vector(  -89.57,    0.00,   55.36)
dirc = App.Vector( -0.85,  0.00,  0.53)
cir1 = Part.makeCircle(  130.00, dist, dirc)
fcir1 = Part.Face(Part.Wire(cir1))
Part.show(fcir1)
App.ActiveDocument.recompute()
f = BOPTools.SplitFeatures.makeSlice(name='Slice')
f.Mode = 'Split'
f.Base = [App.ActiveDocument.Solid001, App.ActiveDocument.Shape][0]
f.Tools = [App.ActiveDocument.Solid001, App.ActiveDocument.Shape][1:]
f.Proxy.execute(f)
f.purgeTouched()
for obj in f.ViewObject.Proxy.claimChildren():
  obj.ViewObject.hide()


f = BOPTools.SplitFeatures.makeSlice(name='Slice')
f.Base = [App.ActiveDocument.Solid001, App.ActiveDocument.Shape][0]
f.Tools = [App.ActiveDocument.Solid001, App.ActiveDocument.Shape][1:]
f.Mode = 'Split'
f.Proxy.execute(f)
f.purgeTouched()
for obj in f.ViewObject.Proxy.claimChildren():
   obj.ViewObject.hide()


CompoundTools.Explode.explodeCompound(f)
f.ViewObject.hide()
App.ActiveDocument.recompute()
f = CompoundTools.CompoundFilter.makeCompoundFilter(name = 'CompoundFilter')
f.Base = App.ActiveDocument.GrExplode_Slice001
f.FilterType = 'window-volume'
f.Proxy.execute(f)
f.purgeTouched()
f = None
_ = Draft.downgrade(App.ActiveDocument.CompoundFilter,delete=True)
App.getDocument('doc_truncico').getObject('GrExplode_Slice001').removeObjectsFromDocument()
App.getDocument('doc_truncico').removeObject('GrExplode_Slice001')
App.getDocument('doc_truncico').removeObject('Slice')
App.getDocument('doc_truncico').removeObject('Slice001')
App.getDocument('doc_truncico').recompute()
App.getDocument('doc_truncico').removeObject('Solid001')
App.getDocument('doc_truncico').recompute()
App.getDocument('doc_truncico').removeObject('Shape')
App.getDocument('doc_truncico').recompute()
Gui.SendMsgToActiveView('ViewFit')

dist = App.Vector(  -55.36,   89.57,    0.00)
dirc = App.Vector( -0.53,  0.85,  0.00)
cir1 = Part.makeCircle(  130.00, dist, dirc)
fcir1 = Part.Face(Part.Wire(cir1))
Part.show(fcir1)
App.ActiveDocument.recompute()
f = BOPTools.SplitFeatures.makeSlice(name='Slice')
f.Mode = 'Split'
f.Base = [App.ActiveDocument.Solid, App.ActiveDocument.Shape][0]
f.Tools = [App.ActiveDocument.Solid, App.ActiveDocument.Shape][1:]
f.Proxy.execute(f)
f.purgeTouched()
for obj in f.ViewObject.Proxy.claimChildren():
  obj.ViewObject.hide()


f = BOPTools.SplitFeatures.makeSlice(name='Slice')
f.Base = [App.ActiveDocument.Solid, App.ActiveDocument.Shape][0]
f.Tools = [App.ActiveDocument.Solid, App.ActiveDocument.Shape][1:]
f.Mode = 'Split'
f.Proxy.execute(f)
f.purgeTouched()
for obj in f.ViewObject.Proxy.claimChildren():
   obj.ViewObject.hide()


CompoundTools.Explode.explodeCompound(f)
f.ViewObject.hide()
App.ActiveDocument.recompute()
f = CompoundTools.CompoundFilter.makeCompoundFilter(name = 'CompoundFilter')
f.Base = App.ActiveDocument.GrExplode_Slice001
f.FilterType = 'window-volume'
f.Proxy.execute(f)
f.purgeTouched()
f = None
_ = Draft.downgrade(App.ActiveDocument.CompoundFilter,delete=True)
App.getDocument('doc_truncico').getObject('GrExplode_Slice001').removeObjectsFromDocument()
App.getDocument('doc_truncico').removeObject('GrExplode_Slice001')
App.getDocument('doc_truncico').removeObject('Slice')
App.getDocument('doc_truncico').removeObject('Slice001')
App.getDocument('doc_truncico').recompute()
App.getDocument('doc_truncico').removeObject('Solid')
App.getDocument('doc_truncico').recompute()
App.getDocument('doc_truncico').removeObject('Shape')
App.getDocument('doc_truncico').recompute()
Gui.SendMsgToActiveView('ViewFit')

dist = App.Vector(  -89.57,    0.00,  -55.36)
dirc = App.Vector( -0.85,  0.00, -0.53)
cir1 = Part.makeCircle(  130.00, dist, dirc)
fcir1 = Part.Face(Part.Wire(cir1))
Part.show(fcir1)
App.ActiveDocument.recompute()
f = BOPTools.SplitFeatures.makeSlice(name='Slice')
f.Mode = 'Split'
f.Base = [App.ActiveDocument.Solid001, App.ActiveDocument.Shape][0]
f.Tools = [App.ActiveDocument.Solid001, App.ActiveDocument.Shape][1:]
f.Proxy.execute(f)
f.purgeTouched()
for obj in f.ViewObject.Proxy.claimChildren():
  obj.ViewObject.hide()


f = BOPTools.SplitFeatures.makeSlice(name='Slice')
f.Base = [App.ActiveDocument.Solid001, App.ActiveDocument.Shape][0]
f.Tools = [App.ActiveDocument.Solid001, App.ActiveDocument.Shape][1:]
f.Mode = 'Split'
f.Proxy.execute(f)
f.purgeTouched()
for obj in f.ViewObject.Proxy.claimChildren():
   obj.ViewObject.hide()


CompoundTools.Explode.explodeCompound(f)
f.ViewObject.hide()
App.ActiveDocument.recompute()
f = CompoundTools.CompoundFilter.makeCompoundFilter(name = 'CompoundFilter')
f.Base = App.ActiveDocument.GrExplode_Slice001
f.FilterType = 'window-volume'
f.Proxy.execute(f)
f.purgeTouched()
f = None
_ = Draft.downgrade(App.ActiveDocument.CompoundFilter,delete=True)
App.getDocument('doc_truncico').getObject('GrExplode_Slice001').removeObjectsFromDocument()
App.getDocument('doc_truncico').removeObject('GrExplode_Slice001')
App.getDocument('doc_truncico').removeObject('Slice')
App.getDocument('doc_truncico').removeObject('Slice001')
App.getDocument('doc_truncico').recompute()
App.getDocument('doc_truncico').removeObject('Solid001')
App.getDocument('doc_truncico').recompute()
App.getDocument('doc_truncico').removeObject('Shape')
App.getDocument('doc_truncico').recompute()
Gui.SendMsgToActiveView('ViewFit')

dist = App.Vector(    0.00,  -55.36,  -89.57)
dirc = App.Vector(  0.00, -0.53, -0.85)
cir1 = Part.makeCircle(  130.00, dist, dirc)
fcir1 = Part.Face(Part.Wire(cir1))
Part.show(fcir1)
App.ActiveDocument.recompute()
f = BOPTools.SplitFeatures.makeSlice(name='Slice')
f.Mode = 'Split'
f.Base = [App.ActiveDocument.Solid, App.ActiveDocument.Shape][0]
f.Tools = [App.ActiveDocument.Solid, App.ActiveDocument.Shape][1:]
f.Proxy.execute(f)
f.purgeTouched()
for obj in f.ViewObject.Proxy.claimChildren():
  obj.ViewObject.hide()


f = BOPTools.SplitFeatures.makeSlice(name='Slice')
f.Base = [App.ActiveDocument.Solid, App.ActiveDocument.Shape][0]
f.Tools = [App.ActiveDocument.Solid, App.ActiveDocument.Shape][1:]
f.Mode = 'Split'
f.Proxy.execute(f)
f.purgeTouched()
for obj in f.ViewObject.Proxy.claimChildren():
   obj.ViewObject.hide()


CompoundTools.Explode.explodeCompound(f)
f.ViewObject.hide()
App.ActiveDocument.recompute()
f = CompoundTools.CompoundFilter.makeCompoundFilter(name = 'CompoundFilter')
f.Base = App.ActiveDocument.GrExplode_Slice001
f.FilterType = 'window-volume'
f.Proxy.execute(f)
f.purgeTouched()
f = None
_ = Draft.downgrade(App.ActiveDocument.CompoundFilter,delete=True)
App.getDocument('doc_truncico').getObject('GrExplode_Slice001').removeObjectsFromDocument()
App.getDocument('doc_truncico').removeObject('GrExplode_Slice001')
App.getDocument('doc_truncico').removeObject('Slice')
App.getDocument('doc_truncico').removeObject('Slice001')
App.getDocument('doc_truncico').recompute()
App.getDocument('doc_truncico').removeObject('Solid')
App.getDocument('doc_truncico').recompute()
App.getDocument('doc_truncico').removeObject('Shape')
App.getDocument('doc_truncico').recompute()
Gui.SendMsgToActiveView('ViewFit')

dist = App.Vector(   55.36,  -89.57,    0.00)
dirc = App.Vector(  0.53, -0.85,  0.00)
cir1 = Part.makeCircle(  130.00, dist, dirc)
fcir1 = Part.Face(Part.Wire(cir1))
Part.show(fcir1)
App.ActiveDocument.recompute()
f = BOPTools.SplitFeatures.makeSlice(name='Slice')
f.Mode = 'Split'
f.Base = [App.ActiveDocument.Solid001, App.ActiveDocument.Shape][0]
f.Tools = [App.ActiveDocument.Solid001, App.ActiveDocument.Shape][1:]
f.Proxy.execute(f)
f.purgeTouched()
for obj in f.ViewObject.Proxy.claimChildren():
  obj.ViewObject.hide()


f = BOPTools.SplitFeatures.makeSlice(name='Slice')
f.Base = [App.ActiveDocument.Solid001, App.ActiveDocument.Shape][0]
f.Tools = [App.ActiveDocument.Solid001, App.ActiveDocument.Shape][1:]
f.Mode = 'Split'
f.Proxy.execute(f)
f.purgeTouched()
for obj in f.ViewObject.Proxy.claimChildren():
   obj.ViewObject.hide()


CompoundTools.Explode.explodeCompound(f)
f.ViewObject.hide()
App.ActiveDocument.recompute()
f = CompoundTools.CompoundFilter.makeCompoundFilter(name = 'CompoundFilter')
f.Base = App.ActiveDocument.GrExplode_Slice001
f.FilterType = 'window-volume'
f.Proxy.execute(f)
f.purgeTouched()
f = None
_ = Draft.downgrade(App.ActiveDocument.CompoundFilter,delete=True)
App.getDocument('doc_truncico').getObject('GrExplode_Slice001').removeObjectsFromDocument()
App.getDocument('doc_truncico').removeObject('GrExplode_Slice001')
App.getDocument('doc_truncico').removeObject('Slice')
App.getDocument('doc_truncico').removeObject('Slice001')
App.getDocument('doc_truncico').recompute()
App.getDocument('doc_truncico').removeObject('Solid001')
App.getDocument('doc_truncico').recompute()
App.getDocument('doc_truncico').removeObject('Shape')
App.getDocument('doc_truncico').recompute()
Gui.SendMsgToActiveView('ViewFit')

dist = App.Vector(  -55.36,  -89.57,    0.00)
dirc = App.Vector( -0.53, -0.85,  0.00)
cir1 = Part.makeCircle(  130.00, dist, dirc)
fcir1 = Part.Face(Part.Wire(cir1))
Part.show(fcir1)
App.ActiveDocument.recompute()
f = BOPTools.SplitFeatures.makeSlice(name='Slice')
f.Mode = 'Split'
f.Base = [App.ActiveDocument.Solid, App.ActiveDocument.Shape][0]
f.Tools = [App.ActiveDocument.Solid, App.ActiveDocument.Shape][1:]
f.Proxy.execute(f)
f.purgeTouched()
for obj in f.ViewObject.Proxy.claimChildren():
  obj.ViewObject.hide()


f = BOPTools.SplitFeatures.makeSlice(name='Slice')
f.Base = [App.ActiveDocument.Solid, App.ActiveDocument.Shape][0]
f.Tools = [App.ActiveDocument.Solid, App.ActiveDocument.Shape][1:]
f.Mode = 'Split'
f.Proxy.execute(f)
f.purgeTouched()
for obj in f.ViewObject.Proxy.claimChildren():
   obj.ViewObject.hide()


CompoundTools.Explode.explodeCompound(f)
f.ViewObject.hide()
App.ActiveDocument.recompute()
f = CompoundTools.CompoundFilter.makeCompoundFilter(name = 'CompoundFilter')
f.Base = App.ActiveDocument.GrExplode_Slice001
f.FilterType = 'window-volume'
f.Proxy.execute(f)
f.purgeTouched()
f = None
_ = Draft.downgrade(App.ActiveDocument.CompoundFilter,delete=True)
App.getDocument('doc_truncico').getObject('GrExplode_Slice001').removeObjectsFromDocument()
App.getDocument('doc_truncico').removeObject('GrExplode_Slice001')
App.getDocument('doc_truncico').removeObject('Slice')
App.getDocument('doc_truncico').removeObject('Slice001')
App.getDocument('doc_truncico').recompute()
App.getDocument('doc_truncico').removeObject('Solid')
App.getDocument('doc_truncico').recompute()
App.getDocument('doc_truncico').removeObject('Shape')
App.getDocument('doc_truncico').recompute()
Gui.SendMsgToActiveView('ViewFit')

dist = App.Vector(   89.57,    0.00,  -55.36)
dirc = App.Vector(  0.85,  0.00, -0.53)
cir1 = Part.makeCircle(  130.00, dist, dirc)
fcir1 = Part.Face(Part.Wire(cir1))
Part.show(fcir1)
App.ActiveDocument.recompute()
f = BOPTools.SplitFeatures.makeSlice(name='Slice')
f.Mode = 'Split'
f.Base = [App.ActiveDocument.Solid001, App.ActiveDocument.Shape][0]
f.Tools = [App.ActiveDocument.Solid001, App.ActiveDocument.Shape][1:]
f.Proxy.execute(f)
f.purgeTouched()
for obj in f.ViewObject.Proxy.claimChildren():
  obj.ViewObject.hide()


f = BOPTools.SplitFeatures.makeSlice(name='Slice')
f.Base = [App.ActiveDocument.Solid001, App.ActiveDocument.Shape][0]
f.Tools = [App.ActiveDocument.Solid001, App.ActiveDocument.Shape][1:]
f.Mode = 'Split'
f.Proxy.execute(f)
f.purgeTouched()
for obj in f.ViewObject.Proxy.claimChildren():
   obj.ViewObject.hide()


CompoundTools.Explode.explodeCompound(f)
f.ViewObject.hide()
App.ActiveDocument.recompute()
f = CompoundTools.CompoundFilter.makeCompoundFilter(name = 'CompoundFilter')
f.Base = App.ActiveDocument.GrExplode_Slice001
f.FilterType = 'window-volume'
f.Proxy.execute(f)
f.purgeTouched()
f = None
_ = Draft.downgrade(App.ActiveDocument.CompoundFilter,delete=True)
App.getDocument('doc_truncico').getObject('GrExplode_Slice001').removeObjectsFromDocument()
App.getDocument('doc_truncico').removeObject('GrExplode_Slice001')
App.getDocument('doc_truncico').removeObject('Slice')
App.getDocument('doc_truncico').removeObject('Slice001')
App.getDocument('doc_truncico').recompute()
App.getDocument('doc_truncico').removeObject('Solid001')
App.getDocument('doc_truncico').recompute()
App.getDocument('doc_truncico').removeObject('Shape')
App.getDocument('doc_truncico').recompute()
Gui.SendMsgToActiveView('ViewFit')

dist = App.Vector(    0.00,   55.36,  -89.57)
dirc = App.Vector(  0.00,  0.53, -0.85)
cir1 = Part.makeCircle(  130.00, dist, dirc)
fcir1 = Part.Face(Part.Wire(cir1))
Part.show(fcir1)
App.ActiveDocument.recompute()
f = BOPTools.SplitFeatures.makeSlice(name='Slice')
f.Mode = 'Split'
f.Base = [App.ActiveDocument.Solid, App.ActiveDocument.Shape][0]
f.Tools = [App.ActiveDocument.Solid, App.ActiveDocument.Shape][1:]
f.Proxy.execute(f)
f.purgeTouched()
for obj in f.ViewObject.Proxy.claimChildren():
  obj.ViewObject.hide()


f = BOPTools.SplitFeatures.makeSlice(name='Slice')
f.Base = [App.ActiveDocument.Solid, App.ActiveDocument.Shape][0]
f.Tools = [App.ActiveDocument.Solid, App.ActiveDocument.Shape][1:]
f.Mode = 'Split'
f.Proxy.execute(f)
f.purgeTouched()
for obj in f.ViewObject.Proxy.claimChildren():
   obj.ViewObject.hide()


CompoundTools.Explode.explodeCompound(f)
f.ViewObject.hide()
App.ActiveDocument.recompute()
f = CompoundTools.CompoundFilter.makeCompoundFilter(name = 'CompoundFilter')
f.Base = App.ActiveDocument.GrExplode_Slice001
f.FilterType = 'window-volume'
f.Proxy.execute(f)
f.purgeTouched()
f = None
_ = Draft.downgrade(App.ActiveDocument.CompoundFilter,delete=True)
App.getDocument('doc_truncico').getObject('GrExplode_Slice001').removeObjectsFromDocument()
App.getDocument('doc_truncico').removeObject('GrExplode_Slice001')
App.getDocument('doc_truncico').removeObject('Slice')
App.getDocument('doc_truncico').removeObject('Slice001')
App.getDocument('doc_truncico').recompute()
App.getDocument('doc_truncico').removeObject('Solid')
App.getDocument('doc_truncico').recompute()
App.getDocument('doc_truncico').removeObject('Shape')
App.getDocument('doc_truncico').recompute()
Gui.SendMsgToActiveView('ViewFit')

dist = App.Vector(   55.36,   89.57,    0.00)
dirc = App.Vector(  0.53,  0.85,  0.00)
cir1 = Part.makeCircle(  130.00, dist, dirc)
fcir1 = Part.Face(Part.Wire(cir1))
Part.show(fcir1)
App.ActiveDocument.recompute()
f = BOPTools.SplitFeatures.makeSlice(name='Slice')
f.Mode = 'Split'
f.Base = [App.ActiveDocument.Solid001, App.ActiveDocument.Shape][0]
f.Tools = [App.ActiveDocument.Solid001, App.ActiveDocument.Shape][1:]
f.Proxy.execute(f)
f.purgeTouched()
for obj in f.ViewObject.Proxy.claimChildren():
  obj.ViewObject.hide()


f = BOPTools.SplitFeatures.makeSlice(name='Slice')
f.Base = [App.ActiveDocument.Solid001, App.ActiveDocument.Shape][0]
f.Tools = [App.ActiveDocument.Solid001, App.ActiveDocument.Shape][1:]
f.Mode = 'Split'
f.Proxy.execute(f)
f.purgeTouched()
for obj in f.ViewObject.Proxy.claimChildren():
   obj.ViewObject.hide()


CompoundTools.Explode.explodeCompound(f)
f.ViewObject.hide()
App.ActiveDocument.recompute()
f = CompoundTools.CompoundFilter.makeCompoundFilter(name = 'CompoundFilter')
f.Base = App.ActiveDocument.GrExplode_Slice001
f.FilterType = 'window-volume'
f.Proxy.execute(f)
f.purgeTouched()
f = None
_ = Draft.downgrade(App.ActiveDocument.CompoundFilter,delete=True)
App.getDocument('doc_truncico').getObject('GrExplode_Slice001').removeObjectsFromDocument()
App.getDocument('doc_truncico').removeObject('GrExplode_Slice001')
App.getDocument('doc_truncico').removeObject('Slice')
App.getDocument('doc_truncico').removeObject('Slice001')
App.getDocument('doc_truncico').recompute()
App.getDocument('doc_truncico').removeObject('Solid001')
App.getDocument('doc_truncico').recompute()
App.getDocument('doc_truncico').removeObject('Shape')
App.getDocument('doc_truncico').recompute()
Gui.SendMsgToActiveView('ViewFit')

